# Package org.bukkit.attribute

package org.bukkit.attribute
Classes relevant to attributes.

Related Packages
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
Class
Description
Attributable
Represents an object which may contain attributes.
Attribute
Types of attributes which may be present on an `Attributable`.
AttributeInstance
Represents a mutable instance of an attribute and its associated modifiers and values.
AttributeModifier
Concrete implementation of an attribute modifier.
AttributeModifier.Operation
Enumerable operation to be applied.